% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/utils.r
\name{all_files_exist}
\alias{all_files_exist}
\title{Check if all specified files exist}
\usage{
all_files_exist(x)
}
\arguments{
\item{x}{a vector or list of files.}
}
\value{
a logical value indicating if all files exist.
}
\description{
This function checks the existence of all files stored in a vector or a list.
}
\details{
\code{all_files_exist} is a simple shorthand around \code{\link[base:files]{base::file.exists}} wrapped with an additional
\code{\link[base:all]{base::all}} to return a single value. This makes this function useful when checking that all
files required for or created by some function exist.
}
\examples{
files = c(tempfile(), tempfile())
all_files_exist(files) # FALSE
file.create(files)
all_files_exist(files) # TRUE

}
